#include "windows.h"
#include <stdio.h>
#include <stdlib.h>

#define SHOW_DEF(def) printf(#def "\t%lx\n", def)


int main(void) {
    SHOW_DEF(STATUS_INVALID_IMPORT_OF_NON_DLL);
    SHOW_DEF(ERROR_INVALID_IMPORT_OF_NON_DLL);
    SHOW_DEF(STATUS_VOLUME_NOT_UPGRADED);
    SHOW_DEF(STATUS_MUTUAL_AUTHENTICATION_FAILED);
    SHOW_DEF(ERROR_MUTUAL_AUTH_FAILED);
    SHOW_DEF(ERROR_TIME_SKEW);
    SHOW_DEF(STATUS_PKINIT_FAILURE);
    SHOW_DEF(ERROR_PKINIT_FAILURE);
    SHOW_DEF(STATUS_SMARTCARD_SUBSYSTEM_FAILURE);
    SHOW_DEF(ERROR_SMARTCARD_SUBSYSTEM_FAILURE);
    SHOW_DEF(STATUS_DOWNGRADE_DETECTED);
    SHOW_DEF(ERROR_DOWNGRADE_DETECTED);
    SHOW_DEF(STATUS_SMARTCARD_CERT_REVOKED);
    SHOW_DEF(SEC_E_SMARTCARD_CERT_REVOKED);
    SHOW_DEF(STATUS_ISSUING_CA_UNTRUSTED);
    SHOW_DEF(SEC_E_ISSUING_CA_UNTRUSTED);
    SHOW_DEF(STATUS_REVOCATION_OFFLINE_C);
    SHOW_DEF(SEC_E_REVOCATION_OFFLINE_C);
    SHOW_DEF(STATUS_PKINIT_CLIENT_FAILURE);
    SHOW_DEF(SEC_E_PKINIT_CLIENT_FAILURE);
    SHOW_DEF(STATUS_SMARTCARD_CERT_EXPIRED);
    SHOW_DEF(SEC_E_SMARTCARD_CERT_EXPIRED);
    SHOW_DEF(STATUS_NO_KERB_KEY);
    SHOW_DEF(SEC_E_NO_KERB_KEY);
    SHOW_DEF(STATUS_CURRENT_DOMAIN_NOT_ALLOWED);
    SHOW_DEF(ERROR_CURRENT_DOMAIN_NOT_ALLOWED);
    SHOW_DEF(STATUS_SMARTCARD_WRONG_PIN);
    SHOW_DEF(SCARD_W_WRONG_CHV);
    SHOW_DEF(STATUS_SMARTCARD_CARD_BLOCKED);
    SHOW_DEF(SCARD_W_CHV_BLOCKED);
    SHOW_DEF(STATUS_SMARTCARD_CARD_NOT_AUTHENTICATED);
    SHOW_DEF(SCARD_W_CARD_NOT_AUTHENTICATED);
    SHOW_DEF(STATUS_SMARTCARD_NO_CARD);
    SHOW_DEF(SCARD_E_NO_SMARTCARD);
    SHOW_DEF(STATUS_SMARTCARD_NO_KEY_CONTAINER);
    SHOW_DEF(STATUS_SMARTCARD_NO_CERTIFICATE);
    SHOW_DEF(SCARD_E_NO_SUCH_CERTIFICATE);
    SHOW_DEF(STATUS_SMARTCARD_NO_KEYSET);
    SHOW_DEF(STATUS_SMARTCARD_IO_ERROR);
    SHOW_DEF(SCARD_E_COMM_DATA_LOST);
    SHOW_DEF(STATUS_OBJECT_PATH_SYNTAX_BAD);
    SHOW_DEF(STATUS_CANNOT_MAKE);
    SHOW_DEF(STATUS_INVALID_IMAGE_WIN_32);
    SHOW_DEF(STATUS_INVALID_IMAGE_WIN_64);
    SHOW_DEF(ERROR_DEVICE_NOT_CONNECTED);
    SHOW_DEF(ERROR_NOT_FOUND);
    SHOW_DEF(STATUS_NO_MATCH);
    SHOW_DEF(ERROR_NO_MATCH);
    SHOW_DEF(ERROR_SET_NOT_FOUND);
    SHOW_DEF(STATUS_ONLY_IF_CONNECTED);
    SHOW_DEF(ERROR_ONLY_IF_CONNECTED);
    SHOW_DEF(STATUS_NOT_A_REPARSE_POINT);
    SHOW_DEF(ERROR_NOT_A_REPARSE_POINT);
    SHOW_DEF(STATUS_IO_REPARSE_TAG_INVALID);
    SHOW_DEF(ERROR_REPARSE_TAG_INVALID);
    SHOW_DEF(STATUS_IO_REPARSE_TAG_MISMATCH);
    SHOW_DEF(ERROR_REPARSE_TAG_MISMATCH);
    SHOW_DEF(STATUS_IO_REPARSE_TAG_NOT_HANDLED);
    SHOW_DEF(ERROR_CANT_ACCESS_FILE);
    SHOW_DEF(STATUS_REPARSE_POINT_NOT_RESOLVED);
    SHOW_DEF(ERROR_CANT_RESOLVE_FILENAME);
    SHOW_DEF(STATUS_DIRECTORY_IS_A_REPARSE_POINT);
    SHOW_DEF(STATUS_REPARSE_ATTRIBUTE_CONFLICT);
    SHOW_DEF(ERROR_REPARSE_ATTRIBUTE_CONFLICT);
    SHOW_DEF(STATUS_IO_REPARSE_DATA_INVALID);
    SHOW_DEF(ERROR_INVALID_REPARSE_DATA);
    SHOW_DEF(ERROR_FILE_OFFLINE);
    SHOW_DEF(STATUS_REMOTE_STORAGE_NOT_ACTIVE);
    SHOW_DEF(ERROR_REMOTE_STORAGE_NOT_ACTIVE);
    SHOW_DEF(STATUS_REMOTE_STORAGE_MEDIA_ERROR);
    SHOW_DEF(ERROR_REMOTE_STORAGE_MEDIA_ERROR);
    SHOW_DEF(STATUS_NO_TRACKING_SERVICE);
    SHOW_DEF(ERROR_NO_TRACKING_SERVICE);
    SHOW_DEF(STATUS_JOURNAL_DELETE_IN_PROGRESS);
    SHOW_DEF(ERROR_JOURNAL_DELETE_IN_PROGRESS);
    SHOW_DEF(STATUS_JOURNAL_NOT_ACTIVE);
    SHOW_DEF(ERROR_JOURNAL_NOT_ACTIVE);
    SHOW_DEF(STATUS_JOURNAL_ENTRY_DELETED);
    SHOW_DEF(ERROR_JOURNAL_ENTRY_DELETED);
    SHOW_DEF(STATUS_SUCCESS);
    SHOW_DEF(ERROR_OPLOCK_NOT_GRANTED);
    SHOW_DEF(ERROR_INVALID_OPLOCK_PROTOCOL);
    SHOW_DEF(STATUS_NO_SUCH_PACKAGE);
    SHOW_DEF(STATUS_SOURCE_ELEMENT_EMPTY);
    SHOW_DEF(ERROR_SOURCE_ELEMENT_EMPTY);
    SHOW_DEF(STATUS_DESTINATION_ELEMENT_FULL);
    SHOW_DEF(ERROR_DESTINATION_ELEMENT_FULL);
    SHOW_DEF(STATUS_ILLEGAL_ELEMENT_ADDRESS);
    SHOW_DEF(ERROR_ILLEGAL_ELEMENT_ADDRESS);
    SHOW_DEF(STATUS_MAGAZINE_NOT_PRESENT);
    SHOW_DEF(ERROR_MAGAZINE_NOT_PRESENT);
    SHOW_DEF(STATUS_REINITIALIZATION_NEEDED);
    SHOW_DEF(ERROR_DEVICE_REINITIALIZATION_NEEDED);
    SHOW_DEF(STATUS_DEVICE_REQUIRES_CLEANING);
    SHOW_DEF(ERROR_DEVICE_REQUIRES_CLEANING);
    SHOW_DEF(STATUS_DEVICE_DOOR_OPEN);
    SHOW_DEF(ERROR_DEVICE_DOOR_OPEN);
    SHOW_DEF(STATUS_TRANSPORT_FULL);
    SHOW_DEF(ERROR_TRANSPORT_FULL);
    SHOW_DEF(STATUS_CLEANER_CARTRIDGE_INSTALLED);
    SHOW_DEF(ERROR_CLEANER_CARTRIDGE_INSTALLED);
    SHOW_DEF(STATUS_REG_NAT_CONSUMPTION);
    SHOW_DEF(ERROR_REG_NAT_CONSUMPTION);
    SHOW_DEF(STATUS_ENCRYPTION_FAILED);
    SHOW_DEF(STATUS_DECRYPTION_FAILED);
    SHOW_DEF(STATUS_NO_RECOVERY_POLICY);
    SHOW_DEF(STATUS_NO_EFS);
    SHOW_DEF(STATUS_WRONG_EFS);
    SHOW_DEF(STATUS_NO_USER_KEYS);
    SHOW_DEF(STATUS_FILE_NOT_ENCRYPTED);
    SHOW_DEF(ERROR_FILE_NOT_ENCRYPTED);
    SHOW_DEF(STATUS_NOT_EXPORT_FORMAT);
    SHOW_DEF(ERROR_NOT_EXPORT_FORMAT);
    SHOW_DEF(STATUS_FILE_ENCRYPTED);
    SHOW_DEF(ERROR_FILE_ENCRYPTED);
    SHOW_DEF(STATUS_EFS_ALG_BLOB_TOO_BIG);
    SHOW_DEF(ERROR_EFS_ALG_BLOB_TOO_BIG);
    SHOW_DEF(STATUS_WMI_GUID_NOT_FOUND);
    SHOW_DEF(ERROR_WMI_GUID_NOT_FOUND);
    SHOW_DEF(STATUS_WMI_INSTANCE_NOT_FOUND);
    SHOW_DEF(ERROR_WMI_INSTANCE_NOT_FOUND);
    SHOW_DEF(STATUS_WMI_ITEMID_NOT_FOUND);
    SHOW_DEF(ERROR_WMI_ITEMID_NOT_FOUND);
    SHOW_DEF(STATUS_WMI_TRY_AGAIN);
    SHOW_DEF(ERROR_WMI_TRY_AGAIN);
    SHOW_DEF(STATUS_WMI_READ_ONLY);
    SHOW_DEF(ERROR_WMI_READ_ONLY);
    SHOW_DEF(STATUS_WMI_SET_FAILURE);
    SHOW_DEF(ERROR_WMI_SET_FAILURE);
    SHOW_DEF(STATUS_WMI_NOT_SUPPORTED);
    SHOW_DEF(STATUS_WMI_GUID_DISCONNECTED);
    SHOW_DEF(ERROR_WMI_GUID_DISCONNECTED);
    SHOW_DEF(STATUS_WMI_ALREADY_DISABLED);
    SHOW_DEF(ERROR_WMI_ALREADY_DISABLED);
    SHOW_DEF(STATUS_WMI_ALREADY_ENABLED);
    SHOW_DEF(ERROR_WMI_ALREADY_ENABLED);
    SHOW_DEF(STATUS_COPY_PROTECTION_FAILURE);
    SHOW_DEF(STG_E_STATUS_COPY_PROTECTION_FAILURE);
    SHOW_DEF(STATUS_CSS_AUTHENTICATION_FAILURE);
    SHOW_DEF(STG_E_CSS_AUTHENTICATION_FAILURE);
    SHOW_DEF(STATUS_CSS_KEY_NOT_PRESENT);
    SHOW_DEF(STG_E_CSS_KEY_NOT_PRESENT);
    SHOW_DEF(STATUS_CSS_KEY_NOT_ESTABLISHED);
    SHOW_DEF(STG_E_CSS_KEY_NOT_ESTABLISHED);
    SHOW_DEF(STATUS_CSS_SCRAMBLED_SECTOR);
    SHOW_DEF(STG_E_CSS_SCRAMBLED_SECTOR);
    SHOW_DEF(STATUS_CSS_REGION_MISMATCH);
    SHOW_DEF(STG_E_CSS_REGION_MISMATCH);
    SHOW_DEF(STATUS_CSS_RESETS_EXHAUSTED);
    SHOW_DEF(STG_E_RESETS_EXHAUSTED);
    SHOW_DEF(RPC_X_INVALID_PIPE_OPERATION);
    SHOW_DEF(RPC_NT_INVALID_ASYNC_HANDLE);
    SHOW_DEF(RPC_S_INVALID_ASYNC_HANDLE);
    SHOW_DEF(RPC_NT_INVALID_ASYNC_CALL);
    SHOW_DEF(RPC_S_INVALID_ASYNC_CALL);
    SHOW_DEF(RPC_NT_PIPE_CLOSED);
    SHOW_DEF(RPC_X_PIPE_CLOSED);
    SHOW_DEF(RPC_NT_PIPE_EMPTY);
    SHOW_DEF(RPC_X_PIPE_EMPTY);
    SHOW_DEF(RPC_NT_PIPE_DISCIPLINE_ERROR);
    SHOW_DEF(RPC_X_PIPE_DISCIPLINE_ERROR);
    SHOW_DEF(STATUS_HOST_DOWN);
    SHOW_DEF(ERROR_HOST_DOWN);
    SHOW_DEF(STATUS_OBJECTID_NOT_FOUND);
    SHOW_DEF(STATUS_MFT_TOO_FRAGMENTED);
    SHOW_DEF(ERROR_DISK_TOO_FRAGMENTED);
    SHOW_DEF(SEC_E_INSUFFICIENT_MEMORY);
    SHOW_DEF(SEC_E_INVALID_HANDLE);
    SHOW_DEF(SEC_E_UNSUPPORTED_FUNCTION);
    SHOW_DEF(SEC_E_TARGET_UNKNOWN);
    SHOW_DEF(SEC_E_INTERNAL_ERROR);
    SHOW_DEF(SEC_E_SECPKG_NOT_FOUND);
    SHOW_DEF(SEC_E_NOT_OWNER);
    SHOW_DEF(SEC_E_CANNOT_INSTALL);
    SHOW_DEF(SEC_E_INVALID_TOKEN);
    SHOW_DEF(SEC_E_CANNOT_PACK);
    SHOW_DEF(SEC_E_QOP_NOT_SUPPORTED);
    SHOW_DEF(SEC_E_NO_IMPERSONATION);
    SHOW_DEF(SEC_E_MULTIPLE_ACCOUNTS);
    SHOW_DEF(SEC_E_LOGON_DENIED);
    SHOW_DEF(SEC_E_UNKNOWN_CREDENTIALS);
    SHOW_DEF(SEC_E_INCOMPLETE_CREDENTIALS);
    SHOW_DEF(SEC_E_NO_CREDENTIALS);
    SHOW_DEF(SEC_E_MESSAGE_ALTERED);
    SHOW_DEF(SEC_E_OUT_OF_SEQUENCE);
    SHOW_DEF(SEC_E_NO_AUTHENTICATING_AUTHORITY);
    SHOW_DEF(SEC_E_BAD_PKGID);
    SHOW_DEF(SEC_E_WRONG_PRINCIPAL);
    SHOW_DEF(ERROR_WRONG_TARGET_NAME);
    SHOW_DEF(SEC_E_INCOMPLETE_MESSAGE);
    SHOW_DEF(SEC_E_BUFFER_TOO_SMALL);
    SHOW_DEF(SEC_E_UNTRUSTED_ROOT);
    SHOW_DEF(SEC_E_ILLEGAL_MESSAGE);
    SHOW_DEF(SEC_E_CERT_UNKNOWN);
    SHOW_DEF(SEC_E_CERT_EXPIRED);
    SHOW_DEF(SEC_E_ENCRYPT_FAILURE);
    SHOW_DEF(ERROR_ENCRYPTION_FAILED);
    SHOW_DEF(SEC_E_DECRYPT_FAILURE);
    SHOW_DEF(ERROR_DECRYPTION_FAILED);
    SHOW_DEF(SEC_E_ALGORITHM_MISMATCH);
    SHOW_DEF(SEC_E_CONTEXT_EXPIRED);
    SHOW_DEF(ERROR_CONTEXT_EXPIRED);
    SHOW_DEF(STATUS_BAD_BINDINGS);
    SHOW_DEF(SEC_E_BAD_BINDINGS);
    SHOW_DEF(TRUST_E_CERT_SIGNATURE);
    SHOW_DEF(CRYPT_E_REVOKED);
    SHOW_DEF(CRYPT_E_NO_REVOCATION_CHECK);
    SHOW_DEF(CRYPT_E_REVOCATION_OFFLINE);
    SHOW_DEF(STATUS_SHUTDOWN_IN_PROGRESS);
    SHOW_DEF(STATUS_SERVER_SHUTDOWN_IN_PROGRESS);
    SHOW_DEF(ERROR_SERVER_SHUTDOWN_IN_PROGRESS);
    SHOW_DEF(STATUS_DS_MEMBERSHIP_EVALUATED_LOCALLY);
    SHOW_DEF(ERROR_DS_MEMBERSHIP_EVALUATED_LOCALLY);
    SHOW_DEF(STATUS_DS_NO_ATTRIBUTE_OR_VALUE);
    SHOW_DEF(ERROR_DS_NO_ATTRIBUTE_OR_VALUE);
    SHOW_DEF(STATUS_DS_INVALID_ATTRIBUTE_SYNTAX);
    SHOW_DEF(ERROR_DS_INVALID_ATTRIBUTE_SYNTAX);
    SHOW_DEF(STATUS_DS_ATTRIBUTE_TYPE_UNDEFINED);
    SHOW_DEF(ERROR_DS_ATTRIBUTE_TYPE_UNDEFINED);
    SHOW_DEF(STATUS_DS_ATTRIBUTE_OR_VALUE_EXISTS);
    SHOW_DEF(ERROR_DS_ATTRIBUTE_OR_VALUE_EXISTS);
    SHOW_DEF(STATUS_DS_BUSY);
    SHOW_DEF(ERROR_DS_BUSY);
    SHOW_DEF(STATUS_DS_UNAVAILABLE);
    SHOW_DEF(ERROR_DS_UNAVAILABLE);
    SHOW_DEF(STATUS_DS_NO_RIDS_ALLOCATED);
    SHOW_DEF(ERROR_DS_NO_RIDS_ALLOCATED);
    SHOW_DEF(STATUS_DS_NO_MORE_RIDS);
    SHOW_DEF(ERROR_DS_NO_MORE_RIDS);
    SHOW_DEF(STATUS_DS_INCORRECT_ROLE_OWNER);
    SHOW_DEF(ERROR_DS_INCORRECT_ROLE_OWNER);
    SHOW_DEF(STATUS_DS_RIDMGR_INIT_ERROR);
    SHOW_DEF(ERROR_DS_RIDMGR_INIT_ERROR);
    SHOW_DEF(STATUS_DS_OBJ_CLASS_VIOLATION);
    SHOW_DEF(ERROR_DS_OBJ_CLASS_VIOLATION);
    SHOW_DEF(STATUS_DS_CANT_ON_NON_LEAF);
    SHOW_DEF(ERROR_DS_CANT_ON_NON_LEAF);
    SHOW_DEF(STATUS_DS_CANT_ON_RDN);
    SHOW_DEF(ERROR_DS_CANT_ON_RDN);
    SHOW_DEF(STATUS_DS_CROSS_DOM_MOVE_FAILED);
    SHOW_DEF(ERROR_DS_CROSS_DOM_MOVE_ERROR);
    SHOW_DEF(STATUS_DS_GC_NOT_AVAILABLE);
    SHOW_DEF(ERROR_DS_GC_NOT_AVAILABLE);
    SHOW_DEF(STATUS_DS_CANT_MOD_OBJ_CLASS);
    SHOW_DEF(ERROR_DS_CANT_MOD_OBJ_CLASS);
    SHOW_DEF(STATUS_DS_ADMIN_LIMIT_EXCEEDED);
    SHOW_DEF(ERROR_DS_ADMIN_LIMIT_EXCEEDED);
    SHOW_DEF(STATUS_DIRECTORY_SERVICE_REQUIRED);
    SHOW_DEF(ERROR_DS_DS_REQUIRED);
    SHOW_DEF(STATUS_DS_SAM_INIT_FAILURE);
    SHOW_DEF(ERROR_DS_SAM_INIT_FAILURE);
    SHOW_DEF(STATUS_DS_CANT_START);
    SHOW_DEF(ERROR_DS_CANT_START);
    SHOW_DEF(STATUS_DS_INIT_FAILURE);
    SHOW_DEF(ERROR_DS_INIT_FAILURE);
    SHOW_DEF(STATUS_SAM_INIT_FAILURE);
    SHOW_DEF(ERROR_SAM_INIT_FAILURE);
    SHOW_DEF(STATUS_DS_SENSITIVE_GROUP_VIOLATION);
    SHOW_DEF(ERROR_DS_SENSITIVE_GROUP_VIOLATION);
    SHOW_DEF(STATUS_DS_CANT_MOD_PRIMARYGROUPID);
    SHOW_DEF(ERROR_DS_CANT_MOD_PRIMARYGROUPID);
    SHOW_DEF(STATUS_DS_INVALID_GROUP_TYPE);
    SHOW_DEF(ERROR_DS_INVALID_GROUP_TYPE);
    SHOW_DEF(STATUS_DS_NO_NEST_GLOBALGROUP_IN_MIXEDDOMAIN);
    SHOW_DEF(ERROR_DS_NO_NEST_GLOBALGROUP_IN_MIXEDDOMAIN);
    SHOW_DEF(STATUS_DS_NO_NEST_LOCALGROUP_IN_MIXEDDOMAIN);
    SHOW_DEF(ERROR_DS_NO_NEST_LOCALGROUP_IN_MIXEDDOMAIN);
    SHOW_DEF(STATUS_DS_GLOBAL_CANT_HAVE_LOCAL_MEMBER);
    SHOW_DEF(ERROR_DS_GLOBAL_CANT_HAVE_LOCAL_MEMBER);
    SHOW_DEF(STATUS_DS_GLOBAL_CANT_HAVE_UNIVERSAL_MEMBER);
    SHOW_DEF(ERROR_DS_GLOBAL_CANT_HAVE_UNIVERSAL_MEMBER);
    SHOW_DEF(STATUS_DS_UNIVERSAL_CANT_HAVE_LOCAL_MEMBER);
    SHOW_DEF(ERROR_DS_UNIVERSAL_CANT_HAVE_LOCAL_MEMBER);
    SHOW_DEF(STATUS_DS_GLOBAL_CANT_HAVE_CROSSDOMAIN_MEMBER);
    SHOW_DEF(ERROR_DS_GLOBAL_CANT_HAVE_CROSSDOMAIN_MEMBER);
    SHOW_DEF(STATUS_DS_LOCAL_CANT_HAVE_CROSSDOMAIN_LOCAL_MEMBER);
    SHOW_DEF(ERROR_DS_LOCAL_CANT_HAVE_CROSSDOMAIN_LOCAL_MEMBER);
    SHOW_DEF(STATUS_DS_HAVE_PRIMARY_MEMBERS);
    SHOW_DEF(ERROR_DS_HAVE_PRIMARY_MEMBERS);
    SHOW_DEF(STATUS_DS_GC_REQUIRED);
    SHOW_DEF(ERROR_DS_GC_REQUIRED);
    SHOW_DEF(STATUS_DS_LOCAL_MEMBER_OF_LOCAL_ONLY);
    SHOW_DEF(ERROR_DS_LOCAL_MEMBER_OF_LOCAL_ONLY);
    SHOW_DEF(STATUS_DS_NO_FPO_IN_UNIVERSAL_GROUPS);
    SHOW_DEF(ERROR_DS_NO_FPO_IN_UNIVERSAL_GROUPS);
    SHOW_DEF(STATUS_DS_MACHINE_ACCOUNT_QUOTA_EXCEEDED);
    SHOW_DEF(ERROR_DS_MACHINE_ACCOUNT_QUOTA_EXCEEDED);
    SHOW_DEF(STATUS_SAM_NEED_BOOTKEY_PASSWORD);
    SHOW_DEF(ERROR_DS_SAM_NEED_BOOTKEY_PASSWORD);
    SHOW_DEF(STATUS_SAM_NEED_BOOTKEY_FLOPPY);
    SHOW_DEF(ERROR_DS_SAM_NEED_BOOTKEY_FLOPPY);
    SHOW_DEF(STATUS_DS_INIT_FAILURE_CONSOLE);
    SHOW_DEF(ERROR_DS_INIT_FAILURE_CONSOLE);
    SHOW_DEF(STATUS_DS_SAM_INIT_FAILURE_CONSOLE);
    SHOW_DEF(ERROR_DS_SAM_INIT_FAILURE_CONSOLE);
    SHOW_DEF(STATUS_UNFINISHED_CONTEXT_DELETED);
    SHOW_DEF(SEC_E_UNFINISHED_CONTEXT_DELETED);
    SHOW_DEF(STATUS_NO_TGT_REPLY);
    SHOW_DEF(SEC_E_NO_TGT_REPLY);
    SHOW_DEF(STATUS_NO_IP_ADDRESSES);
    SHOW_DEF(SEC_E_NO_IP_ADDRESSES);
    SHOW_DEF(STATUS_WRONG_CREDENTIAL_HANDLE);
    SHOW_DEF(SEC_E_WRONG_CREDENTIAL_HANDLE);
    SHOW_DEF(STATUS_CRYPTO_SYSTEM_INVALID);
    SHOW_DEF(SEC_E_CRYPTO_SYSTEM_INVALID);
    SHOW_DEF(STATUS_MAX_REFERRALS_EXCEEDED);
    SHOW_DEF(SEC_E_MAX_REFERRALS_EXCEEDED);
    SHOW_DEF(STATUS_MUST_BE_KDC);
    SHOW_DEF(SEC_E_MUST_BE_KDC);
    SHOW_DEF(STATUS_STRONG_CRYPTO_NOT_SUPPORTED);
    SHOW_DEF(SEC_E_STRONG_CRYPTO_NOT_SUPPORTED);
    SHOW_DEF(STATUS_TOO_MANY_PRINCIPALS);
    SHOW_DEF(SEC_E_TOO_MANY_PRINCIPALS);
    SHOW_DEF(STATUS_NO_PA_DATA);
    SHOW_DEF(SEC_E_NO_PA_DATA);
    SHOW_DEF(STATUS_PKINIT_NAME_MISMATCH);
    SHOW_DEF(SEC_E_PKINIT_NAME_MISMATCH);
    SHOW_DEF(STATUS_SMARTCARD_LOGON_REQUIRED);
    SHOW_DEF(SEC_E_SMARTCARD_LOGON_REQUIRED);
    SHOW_DEF(STATUS_KDC_INVALID_REQUEST);
    SHOW_DEF(SEC_E_KDC_INVALID_REQUEST);
    SHOW_DEF(STATUS_KDC_UNABLE_TO_REFER);
    SHOW_DEF(SEC_E_KDC_UNABLE_TO_REFER);
    SHOW_DEF(STATUS_KDC_UNKNOWN_ETYPE);
    SHOW_DEF(SEC_E_KDC_UNKNOWN_ETYPE);
    SHOW_DEF(STATUS_UNSUPPORTED_PREAUTH);
    SHOW_DEF(SEC_E_UNSUPPORTED_PREAUTH);
    SHOW_DEF(STATUS_SHARED_POLICY);
    SHOW_DEF(ERROR_SHARED_POLICY);
    SHOW_DEF(STATUS_POLICY_OBJECT_NOT_FOUND);
    SHOW_DEF(ERROR_POLICY_OBJECT_NOT_FOUND);
    SHOW_DEF(STATUS_POLICY_ONLY_IN_DS);
    SHOW_DEF(ERROR_POLICY_ONLY_IN_DS);
    SHOW_DEF(STATUS_DEVICE_REMOVED);
    SHOW_DEF(ERROR_DEVICE_REMOVED);
    SHOW_DEF(STATUS_NOT_SUPPORTED_ON_SBS);
    SHOW_DEF(ERROR_NOT_SUPPORTED_ON_SBS);
    SHOW_DEF(STATUS_DRIVER_BLOCKED_CRITICAL);
    SHOW_DEF(ERROR_DRIVER_BLOCKED);
    SHOW_DEF(STATUS_DRIVER_BLOCKED);
    SHOW_DEF(STATUS_PRENT4_MACHINE_ACCOUNT);
    SHOW_DEF(ERROR_DS_MACHINE_ACCOUNT_CREATED_PRENT4);
    SHOW_DEF(STATUS_DS_AG_CANT_HAVE_UNIVERSAL_MEMBER);
    SHOW_DEF(ERROR_DS_AG_CANT_HAVE_UNIVERSAL_MEMBER);
    SHOW_DEF(STATUS_DS_SHUTTING_DOWN);
    SHOW_DEF(ERROR_DS_SHUTTING_DOWN);
    SHOW_DEF(STATUS_ACCESS_DISABLED_BY_POLICY_DEFAULT);
    SHOW_DEF(ERROR_ACCESS_DISABLED_BY_POLICY);
    SHOW_DEF(STATUS_ACCESS_DISABLED_BY_POLICY_PATH);
    SHOW_DEF(STATUS_ACCESS_DISABLED_BY_POLICY_PUBLISHER);
    SHOW_DEF(STATUS_ACCESS_DISABLED_BY_POLICY_OTHER);
    SHOW_DEF(STATUS_CTX_CLOSE_PENDING);
    SHOW_DEF(ERROR_CTX_CLOSE_PENDING);
    SHOW_DEF(STATUS_CTX_NO_OUTBUF);
    SHOW_DEF(ERROR_CTX_NO_OUTBUF);
    SHOW_DEF(STATUS_CTX_MODEM_INF_NOT_FOUND);
    SHOW_DEF(ERROR_CTX_MODEM_INF_NOT_FOUND);
    SHOW_DEF(STATUS_CTX_INVALID_MODEMNAME);
    SHOW_DEF(ERROR_CTX_INVALID_MODEMNAME);
    SHOW_DEF(STATUS_CTX_RESPONSE_ERROR);
    SHOW_DEF(ERROR_CTX_MODEM_RESPONSE_ERROR);
    SHOW_DEF(STATUS_CTX_MODEM_RESPONSE_TIMEOUT);
    SHOW_DEF(ERROR_CTX_MODEM_RESPONSE_TIMEOUT);
    SHOW_DEF(STATUS_CTX_MODEM_RESPONSE_NO_CARRIER);
    SHOW_DEF(ERROR_CTX_MODEM_RESPONSE_NO_CARRIER);
    SHOW_DEF(STATUS_CTX_MODEM_RESPONSE_NO_DIALTONE);
    SHOW_DEF(ERROR_CTX_MODEM_RESPONSE_NO_DIALTONE);
    SHOW_DEF(STATUS_CTX_MODEM_RESPONSE_BUSY);
    SHOW_DEF(ERROR_CTX_MODEM_RESPONSE_BUSY);
    SHOW_DEF(STATUS_CTX_MODEM_RESPONSE_VOICE);
    SHOW_DEF(ERROR_CTX_MODEM_RESPONSE_VOICE);
    SHOW_DEF(STATUS_CTX_TD_ERROR);
    SHOW_DEF(ERROR_CTX_TD_ERROR);
    SHOW_DEF(STATUS_CTX_WINSTATION_NAME_INVALID);
    SHOW_DEF(ERROR_CTX_WINSTATION_NAME_INVALID);
    SHOW_DEF(STATUS_CTX_WINSTATION_NOT_FOUND);
    SHOW_DEF(ERROR_CTX_WINSTATION_NOT_FOUND);
    SHOW_DEF(STATUS_CTX_WINSTATION_NAME_COLLISION);
    SHOW_DEF(ERROR_CTX_WINSTATION_ALREADY_EXISTS);
    SHOW_DEF(STATUS_CTX_WINSTATION_BUSY);
    SHOW_DEF(ERROR_CTX_WINSTATION_BUSY);
    SHOW_DEF(STATUS_CTX_GRAPHICS_INVALID);
    SHOW_DEF(ERROR_CTX_GRAPHICS_INVALID);
    SHOW_DEF(STATUS_CTX_BAD_VIDEO_MODE);
    SHOW_DEF(ERROR_CTX_BAD_VIDEO_MODE);
    SHOW_DEF(STATUS_CTX_NOT_CONSOLE);
    SHOW_DEF(ERROR_CTX_NOT_CONSOLE);
    SHOW_DEF(STATUS_CTX_CLIENT_QUERY_TIMEOUT);
    SHOW_DEF(ERROR_CTX_CLIENT_QUERY_TIMEOUT);
    SHOW_DEF(STATUS_CTX_CONSOLE_DISCONNECT);
    SHOW_DEF(ERROR_CTX_CONSOLE_DISCONNECT);
    SHOW_DEF(STATUS_CTX_CONSOLE_CONNECT);
    SHOW_DEF(ERROR_CTX_CONSOLE_CONNECT);
    SHOW_DEF(STATUS_CTX_SHADOW_DENIED);
    SHOW_DEF(ERROR_CTX_SHADOW_DENIED);
    SHOW_DEF(STATUS_CTX_SHADOW_INVALID);
    SHOW_DEF(ERROR_CTX_SHADOW_INVALID);
    SHOW_DEF(STATUS_CTX_SHADOW_DISABLED);
    SHOW_DEF(ERROR_CTX_SHADOW_DISABLED);
    SHOW_DEF(STATUS_CTX_WINSTATION_ACCESS_DENIED);
    SHOW_DEF(ERROR_CTX_WINSTATION_ACCESS_DENIED);
    SHOW_DEF(STATUS_CTX_INVALID_PD);
    SHOW_DEF(ERROR_CTX_INVALID_PD);
    SHOW_DEF(STATUS_CTX_PD_NOT_FOUND);
    SHOW_DEF(ERROR_CTX_PD_NOT_FOUND);
    SHOW_DEF(STATUS_CTX_INVALID_WD);
    SHOW_DEF(ERROR_CTX_INVALID_WD);
    SHOW_DEF(STATUS_CTX_WD_NOT_FOUND);
    SHOW_DEF(ERROR_CTX_WD_NOT_FOUND);
    SHOW_DEF(STATUS_CTX_CLIENT_LICENSE_IN_USE);
    SHOW_DEF(ERROR_CTX_CLIENT_LICENSE_IN_USE);
    SHOW_DEF(STATUS_CTX_CLIENT_LICENSE_NOT_SET);
    SHOW_DEF(ERROR_CTX_CLIENT_LICENSE_NOT_SET);
    SHOW_DEF(STATUS_CTX_LICENSE_NOT_AVAILABLE);
    SHOW_DEF(ERROR_CTX_LICENSE_NOT_AVAILABLE);
    SHOW_DEF(STATUS_CTX_LICENSE_CLIENT_INVALID);
    SHOW_DEF(ERROR_CTX_LICENSE_CLIENT_INVALID);
    SHOW_DEF(STATUS_CTX_LICENSE_EXPIRED);
    SHOW_DEF(ERROR_CTX_LICENSE_EXPIRED);
    SHOW_DEF(STATUS_CTX_SHADOW_ENDED_BY_MODE_CHANGE);
    SHOW_DEF(ERROR_CTX_SHADOW_ENDED_BY_MODE_CHANGE);
    SHOW_DEF(STATUS_CTX_SHADOW_NOT_RUNNING);
    SHOW_DEF(ERROR_CTX_SHADOW_NOT_RUNNING);
    SHOW_DEF(STATUS_ENDPOINT_CLOSED);
    SHOW_DEF(STATUS_DISCONNECTED);
    SHOW_DEF(STATUS_NONEXISTENT_NET_NAME);
    SHOW_DEF(STATUS_NETWORK_SESSION_EXPIRED);
    SHOW_DEF(STATUS_SXS_SECTION_NOT_FOUND);
    SHOW_DEF(ERROR_SXS_SECTION_NOT_FOUND);
    SHOW_DEF(STATUS_SXS_CANT_GEN_ACTCTX);
    SHOW_DEF(ERROR_SXS_CANT_GEN_ACTCTX);
    SHOW_DEF(STATUS_SXS_INVALID_ACTCTXDATA_FORMAT);
    SHOW_DEF(ERROR_SXS_INVALID_ACTCTXDATA_FORMAT);
    SHOW_DEF(STATUS_SXS_ASSEMBLY_NOT_FOUND);
    SHOW_DEF(ERROR_SXS_ASSEMBLY_NOT_FOUND);
    SHOW_DEF(STATUS_SXS_MANIFEST_FORMAT_ERROR);
    SHOW_DEF(ERROR_SXS_MANIFEST_FORMAT_ERROR);
    SHOW_DEF(STATUS_SXS_MANIFEST_PARSE_ERROR);
    SHOW_DEF(ERROR_SXS_MANIFEST_PARSE_ERROR);
    SHOW_DEF(STATUS_SXS_ACTIVATION_CONTEXT_DISABLED);
    SHOW_DEF(ERROR_SXS_ACTIVATION_CONTEXT_DISABLED);
    SHOW_DEF(STATUS_SXS_KEY_NOT_FOUND);
    SHOW_DEF(ERROR_SXS_KEY_NOT_FOUND);
    SHOW_DEF(STATUS_SXS_WRONG_SECTION_TYPE);
    SHOW_DEF(ERROR_SXS_WRONG_SECTION_TYPE);
    SHOW_DEF(STATUS_SXS_THREAD_QUERIES_DISABLED);
    SHOW_DEF(ERROR_SXS_THREAD_QUERIES_DISABLED);
    SHOW_DEF(STATUS_SXS_PROCESS_DEFAULT_ALREADY_SET);
    SHOW_DEF(ERROR_SXS_PROCESS_DEFAULT_ALREADY_SET);
    SHOW_DEF(STATUS_AUDITING_DISABLED);
    SHOW_DEF(ERROR_AUDITING_DISABLED);
    SHOW_DEF(STATUS_CLUSTER_NODE_ALREADY_UP);
    SHOW_DEF(ERROR_CLUSTER_NODE_ALREADY_UP);
    SHOW_DEF(STATUS_CLUSTER_NODE_ALREADY_DOWN);
    SHOW_DEF(ERROR_CLUSTER_NODE_ALREADY_DOWN);
    SHOW_DEF(STATUS_CLUSTER_NETWORK_ALREADY_ONLINE);
    SHOW_DEF(ERROR_CLUSTER_NETWORK_ALREADY_ONLINE);
    SHOW_DEF(STATUS_CLUSTER_NETWORK_ALREADY_OFFLINE);
    SHOW_DEF(ERROR_CLUSTER_NETWORK_ALREADY_OFFLINE);
    SHOW_DEF(STATUS_CLUSTER_NODE_ALREADY_MEMBER);
    SHOW_DEF(ERROR_CLUSTER_NODE_ALREADY_MEMBER);
    SHOW_DEF(STATUS_CLUSTER_INVALID_NODE);
    SHOW_DEF(ERROR_CLUSTER_INVALID_NODE);
    SHOW_DEF(STATUS_CLUSTER_NODE_EXISTS);
    SHOW_DEF(ERROR_CLUSTER_NODE_EXISTS);
    SHOW_DEF(STATUS_CLUSTER_JOIN_IN_PROGRESS);
    SHOW_DEF(ERROR_CLUSTER_JOIN_IN_PROGRESS);
    SHOW_DEF(STATUS_CLUSTER_NODE_NOT_FOUND);
    SHOW_DEF(ERROR_CLUSTER_NODE_NOT_FOUND);
    SHOW_DEF(STATUS_CLUSTER_LOCAL_NODE_NOT_FOUND);
    SHOW_DEF(ERROR_CLUSTER_LOCAL_NODE_NOT_FOUND);
    SHOW_DEF(STATUS_CLUSTER_NETWORK_EXISTS);
    SHOW_DEF(ERROR_CLUSTER_NETWORK_EXISTS);
    SHOW_DEF(STATUS_CLUSTER_NETWORK_NOT_FOUND);
    SHOW_DEF(ERROR_CLUSTER_NETWORK_NOT_FOUND);
    SHOW_DEF(STATUS_CLUSTER_NETINTERFACE_EXISTS);
    SHOW_DEF(ERROR_CLUSTER_NETINTERFACE_EXISTS);
    SHOW_DEF(STATUS_CLUSTER_NETINTERFACE_NOT_FOUND);
    SHOW_DEF(ERROR_CLUSTER_NETINTERFACE_NOT_FOUND);
    SHOW_DEF(STATUS_CLUSTER_INVALID_REQUEST);
    SHOW_DEF(ERROR_CLUSTER_INVALID_REQUEST);
    SHOW_DEF(STATUS_CLUSTER_INVALID_NETWORK_PROVIDER);
    SHOW_DEF(ERROR_CLUSTER_INVALID_NETWORK_PROVIDER);
    SHOW_DEF(STATUS_CLUSTER_NODE_DOWN);
    SHOW_DEF(ERROR_CLUSTER_NODE_DOWN);
    SHOW_DEF(STATUS_CLUSTER_NODE_UNREACHABLE);
    SHOW_DEF(ERROR_CLUSTER_NODE_UNREACHABLE);
    SHOW_DEF(STATUS_CLUSTER_NODE_NOT_MEMBER);
    SHOW_DEF(ERROR_CLUSTER_NODE_NOT_MEMBER);
    SHOW_DEF(STATUS_CLUSTER_JOIN_NOT_IN_PROGRESS);
    SHOW_DEF(ERROR_CLUSTER_JOIN_NOT_IN_PROGRESS);
    SHOW_DEF(STATUS_CLUSTER_INVALID_NETWORK);
    SHOW_DEF(ERROR_CLUSTER_INVALID_NETWORK);
    SHOW_DEF(STATUS_CLUSTER_NODE_UP);
    SHOW_DEF(ERROR_CLUSTER_NODE_UP);
    SHOW_DEF(STATUS_CLUSTER_NODE_PAUSED);
    SHOW_DEF(ERROR_CLUSTER_NODE_PAUSED);
    SHOW_DEF(STATUS_CLUSTER_NODE_NOT_PAUSED);
    SHOW_DEF(ERROR_CLUSTER_NODE_NOT_PAUSED);
    SHOW_DEF(STATUS_CLUSTER_NO_SECURITY_CONTEXT);
    SHOW_DEF(ERROR_CLUSTER_NO_SECURITY_CONTEXT);
    SHOW_DEF(STATUS_CLUSTER_NETWORK_NOT_INTERNAL);
    SHOW_DEF(ERROR_CLUSTER_NETWORK_NOT_INTERNAL);
    return 0;
}
